### A free/open-source library for quantitative finance

Public Member Functions
StrippedOptionletAdapter Class Reference

`#include <ql/termstructures/volatility/optionlet/strippedoptionletadapter.hpp>`

Inheritance diagram for StrippedOptionletAdapter:
[legend]

List of all members.

## Public Member Functions

| StrippedOptionletAdapter (const boost::shared_ptr< StrippedOptionletBase > &)
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Rate | minStrike () const
| the minimum strike for which the term structure can return vols
Rate | maxStrike () const
| the maximum strike for which the term structure can return vols
LazyObject interface
void | update ()
void | performCalculations () const

## Protected Member Functions

OptionletVolatilityStructure interface
boost::shared_ptr< SmileSection > | smileSectionImpl (Time optionTime) const
| implements the actual smile calculation in derived classes
Volatility | volatilityImpl (Time length, Rate strike) const
| implements the actual volatility calculation in derived classes

## Detailed Description

Adapter class for turning a StrippedOptionletBase object into an OptionletVolatilityStructure.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from LazyObject.

void performCalculations | ( |  | ) | const`[virtual]`

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.